import request from '@/utils/request'

// 查询ServiceType列表
export function listServiceType(query) {
  return request({
    url: '/system/ServiceType/list',
    method: 'get',
    params: query
  })
}

// 查询ServiceType详细
export function getServiceType(id) {
  return request({
    url: '/system/ServiceType/' + id,
    method: 'get'
  })
}

// 新增ServiceType
export function addServiceType(data) {
  return request({
    url: '/system/ServiceType',
    method: 'post',
    data: data
  })
}

// 修改ServiceType
export function updateServiceType(data) {
  return request({
    url: '/system/ServiceType',
    method: 'put',
    data: data
  })
}

// 删除ServiceType
export function delServiceType(id) {
  return request({
    url: '/system/ServiceType/' + id,
    method: 'delete'
  })
}
